SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   PHP Vendors:   PHP Group
PHP ZipArchive::extractTo() May Let Remote Users Traverse the Directory to Create Directories on the Target System
SecurityTracker Alert ID:  1035311
SecurityTracker URL:  http://securitytracker.com/id/1035311
CVE Reference:   CVE-2014-9767   (Links to External Site)
Date:  Mar 17 2016
Impact:   Modification of system information, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.6.12, possibly other versions
Description:   A vulnerability was reported in PHP. A remote user can create directories on the target system.

The ZipArchive::extractTo() function does not properly validate user-supplied input. A user can supply specially crafted input to the function to create directories on the target system.

The specific impact depends on the application that uses the vulnerable function.

Impact:   A remote user can create directories on the target system.
Solution:   The vendor has issued a source code fix [in September 2015], available at:

http://git.php.net/?p=php-src.git;a=commit;h=f9c2bf73adb2ede0a486b0db466c264f2b27e0bb

Vendor URL:  www.php.net/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC